      SUBROUTINE HZAIDA

      IMPLICIT NONE

      INTEGER maxSubDirs
      PARAMETER (maxSubDirs=100)

      INTEGER maxNoOfHistograms
      PARAMETER (maxNoOfHistograms=10000)

      INTEGER histIds(maxNoOfHistograms),nHists,nSubDirs
      INTEGER i,j,dummyInt

      CHARACTER*16 subDirNames(maxSubDirs),dummyString

c     Open the output aida file.
      CALL HZH2AIDA(dummyString,dummyInt,1)

c     Change to the top-level directory
      CALL HCDIR('//PAWC',' ')
c     List all the subdirectories within the top-level directory. Store the
c     list in the names array.
      CALL HRDIR(maxSubDirs,subDirNames,nSubDirs)

c      write(*,*)'*CTA* Number of sub-directories = ',nSubDirs
c     Loop over all the sub-directories.
      do i=1,nSubDirs
c         write(*,*)'*CTA* Entering sub-directory named ',subDirNames(i)

c     For each sub-directory get the list of histograms resident in the
c     directory
         CALL HCDIR(subDirNames(i),' ')
         CALL HID1(histIds,nHists)
c         write(*,*)'*CTA* Number of histograms in this directory ',
c     & nHists

c     Loop over all the histograms in this subdirectory and output in .aida
c     format.
         DO j=1,nHists
            CALL HZH2AIDA(subDirNames(i),histIds(j),2)
         ENDDO

         CALL HCDIR('//PAWC',' ')
      ENDDO

      CALL HZH2AIDA(dummyString,dummyInt,3)

      RETURN
      END

     


