      SUBROUTINE HZXMLIA(iunit,name,n,iarr)
c
c     Write XML intArray element.
c
c     iunit = LUN for output
c     name  = "name" attribute of intArray element
c     n     = length of array iarr
c     iarr  = array of integers
c

      IMPLICIT NONE

      INTEGER iunit
      CHARACTER*(*) name
      INTEGER N
      INTEGER iarr(*)

      INTEGER I

c     Buffer for formatting numbers in output
      CHARACTER*14 buff1
      CHARACTER*6 buff2
      INTEGER buflen1,buflen2
      PARAMETER (buflen1=14,buflen2=6)

c     Complete element to write out
      CHARACTER*100 elem
      
c     Function to find number of occupied characters in a string (KERNLIB)
      INTEGER lenocc

      write (buff2,'(I6)') N
      call cleft(buff2,1,buflen2)
      elem = '<hep:intArray name="'//name//'" length="'//
     &     buff2(1:lenocc(buff2))//'">'
      write (iunit,'(A)') elem(1:lenocc(elem))

      DO 10 I = 1, N
         write (buff2,'(I6)') I
         write (buff1,'(I14)') iarr(I)
         call cleft(buff2,1,buflen2)
         call cleft(buff1,1,buflen1)

         elem = '<hep:arrayElement index="'//
     &        buff2(1:lenocc(buff2))//'">'//
     &        buff1(1:lenocc(buff1))//'</hep:arrayElement>'

         write (iunit,'(A)') elem(1:lenocc(elem))

 10   CONTINUE

      write (iunit,'(A)') '</hep:intArray>'

      RETURN
      END
