c     Generator-independent HzTool stuff
c     ----------------------------------

c     XML output (0=off, 1=output parameters)
      INTEGER hzxmlout

c     AIDA histogram output (XML) (0=off, 1=output histograms in AIDA format)
      INTEGER hzaidaout

c     Beam particles
      CHARACTER*8 hzb1, hzb2

c     Beam energies
      REAL hzpb1, hzpb2

c     Parton distribution functions for proton and photon
      INTEGER hzpdfpr, hzpdfph

c     Intrinsic KT in proton and photon
      REAL hzptrmspr, hzptrmsph

c     Minimum PT for hard subprocess
      REAL hzptmin

c     Number of events
      INTEGER hznev

c     Luminosity [pb^-1]
      REAL hzlumi

c     Underlying event model
      INTEGER hzuemodel

c     Stable final-state particles
      INTEGER hzstab(200)

c     Random numbers
      INTEGER hzrnd1, hzrnd2

c     Analysis routines to run
      LOGICAL hzroutine(200)
      LOGICAL hztest

      COMMON /HZCONTROL/ hzb1, hzb2, hzpb1, hzpb2,
     &    hzpdfpr, hzpdfph, hzptrmspr, hzptrmsph, hzptmin,
     &    hznev, hzlumi, hzuemodel, hzstab, hzrnd1, hzrnd2,
     &    hzroutine, hztest, hzxmlout, hzaidaout

